@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI89 AND COPIES IT TO THE TI89
REM DIRECTORY
REM $Id: build89.bat,v 1.8 2002/02/11 16:38:11 tnussb Exp $
REM ===========================================================================
REM ===========================================================================

echo --------------------------------------------
echo building TICHESS - TI89 version ...
echo --------------------------------------------

tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings logo.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings generic.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings bg_ti89.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings input.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DVERSION_TI89 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings board.c
tigcc -DVERSION_TI89 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings menu.c
tigcc -DVERSION_TI89 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings gui.c
tigcc -DVERSION_TI89 -O3 -fomit-frame-pointer -funroll-loops -c -Wall -W -Wwrite-strings engine.c
tigcc -DVERSION_TI89 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings clocks.c
dir *.o
tigcc -DVERSION_TI89 -Os -fomit-frame-pointer -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti89.o input.o interrupt.o board.o loadsave.o infoboards.o menu.o gui.o engine.o clocks.o -o ticstart -pack tichess
copy ticstart.89z ..\bin89
copy ticstart.89y ..\bin89\tichess.89y
del ticstart.*
del *.o

@echo on