@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI92P VERSION AND COPIES IT TO
REM THE TI92P DIRECTORY
REM $Id: build92p.bat,v 1.8 2002/02/11 16:38:11 tnussb Exp $
REM ===========================================================================
REM ===========================================================================

echo --------------------------------------------
echo building TICHESS - TI92p version ...
echo --------------------------------------------

tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings logo.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings generic.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings bg_ti92.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings input.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DVERSION_TI92P -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings board.c
tigcc -DVERSION_TI92P -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings menu.c
tigcc -DVERSION_TI92P -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings gui.c
tigcc -DVERSION_TI92P -O3 -fomit-frame-pointer -funroll-loops -c -Wall -W -Wwrite-strings engine.c
tigcc -DVERSION_TI92P -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings clocks.c
dir *.o
tigcc -DVERSION_TI92P -Os -fomit-frame-pointer -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti92.o input.o interrupt.o board.o loadsave.o infoboards.o menu.o gui.o engine.o clocks.o -o ticstart -pack tichess
copy ticstart.9xz ..\bin92p
copy ticstart.9xy ..\bin92p\tichess.9xy
del ticstart.*
del *.o
@echo on
